slartgs.f(3)

NAME
slartgs.f -

SYNOPSIS

  Functions/Subroutines
subroutine SLARTGS (X, Y, SIGMA, CS, SN)
SLARTGS

Function/Subroutine Documentation

  subroutine SLARTGS (REALX, REALY, REALSIGMA, REALCS, REALSN)

SLARTGS

Purpose:

     SLARTGS generates a plane rotation designed to introduce a bulge in
     Golub-Reinsch-style implicit QR iteration for the bidiagonal SVD
     problem. X and Y are the top-row entries, and SIGMA is the shift.
     The computed CS and SN define a plane rotation satisfying
        [  CS  SN  ]  .  [ X^2 - SIGMA ]  =  [ R ],
        [ -SN  CS  ]     [    X * Y    ]     [ 0 ]
     with R nonnegative.  If X^2 - SIGMA and X * Y are 0, then the
     rotation is by PI/2.

Parameters:
    X

              X is REAL
              The (1,1) entry of an upper bidiagonal matrix.

    Y

              Y is REAL
              The (1,2) entry of an upper bidiagonal matrix.

    SIGMA

              SIGMA is REAL
              The shift.

    CS

              CS is REAL
              The cosine of the rotation.

    SN

              SN is REAL
              The sine of the rotation.

Author:
    Univ'. of Tennessee

    Univ'. of California Berkeley

    Univ'. of Colorado Denver

    NAG Ltd'.

Date:
    November 2011

Definition at line 91 of file slartgs.f'.

Author

Generated automatically by Doxygen for LAPACK from the source code'.